Commit 0f0b5f7c authored by Guillaume Pasero's avatar Guillaume Pasero

COMP: use new enablement option for QT4

parent e5c9d6a6
......@@ -22,19 +22,19 @@ endif()
if(ENABLE_QT4)
if(USE_SYSTEM_QT4)
set(OTB_SB_WRAP_QT_CONFIG -DOTB_WRAP_QT:BOOL=ON)
set(OTB_SB_WRAP_QT_CONFIG -DOTB_USE_QT4:BOOL=ON)
else()
if(MSVC)
set(OTB_SB_WRAP_QT_CONFIG -DOTB_WRAP_QT:BOOL=ON)
set(OTB_SB_WRAP_QT_CONFIG -DOTB_USE_QT4:BOOL=ON)
list(APPEND ${proj}_DEPENDENCIES QT4)
else(UNIX)
#TODO: use must have Qt4
message(STATUS " Qt4 is not built by SuperBuild. You need to install it via package manager.")
set(OTB_SB_WRAP_QT_CONFIG -DOTB_WRAP_QT:BOOL=OFF)
set(OTB_SB_WRAP_QT_CONFIG -DOTB_USE_QT4:BOOL=OFF)
endif()
endif()
else()
set(OTB_SB_WRAP_QT_CONFIG -DOTB_WRAP_QT:BOOL=OFF)
set(OTB_SB_WRAP_QT_CONFIG -DOTB_USE_QT4:BOOL=OFF)
endif()
if(USE_SYSTEM_GDAL)
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment